%{?nodejs_find_provides_and_requires}

%global packagename regex-cache
%global enable_tests 1

Name:		nodejs-regex-cache
Version:	0.4.3
Release:	9%{?dist}
Summary:	Memoize the results of a call to the RegExp constructor

License:	MIT
URL:		https://github.com/jonschlinkert/regex-cache.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# The 0.4.2 release is not tagged in github, so pull from master for now
Source1:	https://raw.githubusercontent.com/jonschlinkert/regex-cache/master/test.js
Source2:	https://raw.githubusercontent.com/jonschlinkert/regex-cache/master/support.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-equal-shallow)
BuildRequires:	npm(is-primitive)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Memoize the results of a call to the RegExp constructor, avoiding repetitious
runtime compilation of the same string and options, resulting in dramatic speed
improvements.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.3-2
- Add missing BuildRequire line

* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.3-1
- Update to upstream 0.4.3 release

* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.2-1
- Initial packaging
